Kanbanize integration: operations for AI agents
Kanbanize connects to Type.com as an integration. This page lists the 761 operations documented for Claude and Codex in Type.com: 384 read, 163 write, 214 destructive.
About Kanbanize
Kanbanize is designed to help advanced product teams apply the principles of Lean and Kanban to their work to maximize results.
Categories: Productivity & Project Management
How to connect Kanbanize to Type.com
- Access
- Organization connection: one shared account for the workspace.
To add the connection, follow the steps in Space connections.
Documented operations
761 operations. Your connection's permissions determine which operations are available. API references describe the vendor surface; they do not expand your connection's credentials or access.
761 operations listed.
API Limits
- Read
Get the hourly and minutely limits for API requests
Retrieves a list of API limits that determine how many API calls you can make within a given time period. There are two types of request limits: hourly and minutely. Types of Limits - Hourly Limit - The number of requests allowed within one hour.
API Request History
- Read
Get a list of past API requests
Retrieves a list of previously made API requests along with their relevant details. This endpoint allows you to review the history of API usage and can be tailored using various filtering options.
- Read
Get a list of API requests aggregated by user
Retrieves a list of previously made API requests, aggregated by user, along with their relevant details. This endpoint allows you to review the history of API usage and can be tailored using various filtering options.
Arrival Rule History
- Read
Get a list of arrival rule creation, deletion, and update, rule enabled, rule disabled events.
Returns a log of all actions related to the arrival rules. This includes records of arrival rules that have been created, updated, deleted, rule enabled or rule disabled.
Archived Card Versions
- Read
Get a list of archived card versions
Get a list of all created archived card versions. Archived card versions provide a way to group multiple archived cards together under a single version, which can either be manually or automatically created.
- Read
Get the details of a single archived card version
Get the details of a single archived card version.
- Write
Create an archived card version
Create a new archived card version. The version name must be unique, as duplicate names are not permitted. To associate a card with an archived card version, the versionid must be specified when the card is being archived via PATCH request.
- Write
Update an archived card version
Update an archived card version. Only the name of the archived card version can be updated.
- Destructive
Delete an archived card version
Delete an archived card version. Info This does not delete the archived card itself, rather the version under which the archived card is grouped.
BAI Prompt History
- Read
Get a list of BAI prompt creation, deletion, and update events.
Returns a log of all actions related to the prompts within Businessmap AI (BAI). This includes records of prompts that have been created, updated, or deleted.
Block Reason Boards
- Read
Get a list of boards where the block reason is available
Get a list of board IDs where the specified block reason is applicable. A list of all block reasons can be retrieved by calling the blockReasons endpoint. The Waiting on us and Waiting on others block reasons exist by default for every account.
- Write
Change the availability of a block reason on one or more boards
Change the availability of a block reason on one or more boards.
Block Reason Cards
- Read
Get a list of cards where the block reason is currently applied
Get a list of card IDs where the specified block reason is currently applied. A list of all block reasons can be retrieved by calling the blockReasons endpoint.
Block Reason History
- Read
Get a list of block reasons creation, deletion and update events
Retrieves a list of events related to block reasons. This endpoint allows you to review the history of block reasons and can be tailored using various filtering options.
Block Reasons
- Read
Get a list of block reasons
Get a list of all created block reasons. The Waiting on us and Waiting on others block reasons exist by default for every account. A Generic Blocker is also available by default, but it is not listed as a block reason in this endpoint.
- Read
Get the details of a single block reason
Get the details of a single block reason. Info You can use the GET /blockReasons endpoint with the reasonids query parameter to retrieve multiple block reasons in a single request.
- Write
Create a block reason
Create a new block reason. The block reason name must be unique, as duplicate names are not permitted.
- Write
Update a block reason
Update a block reason.
- Destructive
Delete a block reason
Deletes a block reason. Unless the replacewithreasonid parameter is provided, all cards that were previously blocked by the deleted block reason will be reassigned to the Generic Blocker.
Block reasons Delete Many
- Destructive
Delete many block reasons
Schedule multiple block reasons for deletion in a single request. Block reasons are not deleted immediately — they are queued for batch processing and the deletion runs in the background. There is no way to estimate how long the process will take.
Block reason Disable Many
- Write
Disable many block reasons
Schedule multiple block reasons for disabling in a single request. Block reasons are not disabled immediately — they are queued for batch processing and the disabling runs in the background. There is no way to estimate how long the process will take.
Block reason Enable Many
- Write
Enable many block reasons
Schedule multiple block reasons for enabling in a single request. Block reasons are not enabled immediately — they are queued for batch processing and the enabling runs in the background. There is no way to estimate how long the process will take.
Board Access Requests
- Read
Get a list of access requests for a board
Get a list of user-submitted access requests for a specific board. If a user has sent multiple access requests, only the last one will be returned. If an access request is approved or denied, it will no longer be included in the response.
- Write
Process a list of access requests
Process a list of access requests.
- Destructive
Request access to a board
Request access to a board.
Board Arrival Rules
- Read
Get a list of the arrival rules for a board
Get a list of the arrival rules for a board.
- Read
Get the details of an arrival rule for a board
Get the details of an arrival rule for a board.
- Write
Add an arrival rule to a board
Add an arrival rule to a board.
- Write
Update an arrival rule for a board
Update an arrival rule for a board.
- Destructive
Remove an arrival rule from a board
Remove an arrival rule from a board.
Board BAI Prompts
- Read
Get a list of the BAI prompts for a board
Returns a list of all Businessmap AI (BAI) prompts for a board.
- Read
Get the details of a BAI prompt for a board
Get the details of a Businessmap AI (BAI) prompt for a board.
- Write
Add a BAI prompt to a board
Add a Businessmap AI (BAI) prompt to a board.
- Write
Update a BAI prompt for a board
Update a Businessmap AI (BAI) for a board. The type of a prompt cannot be changed once it's created.
- Destructive
Remove a BAI prompt from a board
Remove a Businessmap AI (BAI) from a board.
Board Assignees
- Read
Get a list of board assignees
Get a list of user IDs assigned to a specific board, along with their respective roles. You can get a list of all roles by calling the roles endpoint and a list of all users by calling the users endpoint.
- Read
Get the role of a board assignee
Returns the role of a user assigned to a specific board.
- Write
Assign/unassign users to/from a board.
Assign/unassign users to/from a board or change their roles.
- Destructive
Assign a user to a board
Assign a user to a board or update their role.
- Destructive
Unassign a user from a board
Unassign a user from a board. Info This action only removes the user's assignment and does not delete the user themselves.
Board Block Reasons
- Read
Get a list of block reasons available on a board
Get a list of the block reasons available on a board. You can get all block reasons by calling the blockReasons endpoint.
- Read
Check if a block reason is available on a board
Check if a block reason is available on a board.
- Destructive
Make a block reason available on a board
Make a block reason available on a board.
- Destructive
Make a block reason unavailable on a board
Make a block reason unavailable on a board. Info This action only removes the block reason from the board and does not delete the actual block reason.
Board Effective Cycle Time Columns
- Read
Get the specified board's workflows and their effective cycle time columns
Get the specified board's workflows and their effective cycle time columns.
Board Card and Initiative Default Views Settings
- Read
Get the default card and initiative view settings for one of the four available views on a board
Get the default card and initiative view settings for one of the four available views on a board.
- Write
Update the default card and initiative view settings for one of the four available views on a board
Update the default card and initiative view settings for one of the four available views on a board. Users who have already saved their personal view settings using the mySettings endpoint will not be affected.
Board Card and Initiative Effective Views Settings
- Read
Get the effective card and initiative view settings for one of the four available views on a board
Get the effective card and initiative view settings for one of the four available views on a board. If a user has saved their personal view settings using the mySettings endpoint, those settings will be returned instead of the default settings.
Board Card and Initiative Views My Settings
- Read
Get the current user's card and initiative view settings for one of the four available views on a board
Get the current user's card and initiative view settings for one of the four available views on a board.
- Write
Update the current user's card and initiative view settings for one of the four available views on a board
Update the current user's card and initiative view settings for one of the four available views on a board.
- Destructive
Set the current user's card and initiative view settings for one of the four available views on a board
Set the current user's card and initiative view settings for one of the four available views on a board. All of the parameters are required.
- Destructive
Reset the current user's card and initiative view settings for one of the board’s four available views to their default…
Reset the current user's card and initiative view settings for one of the board’s four available views to their default state.
Board Card Templates
- Read
Get a list of card templates available on a board
Get a list of the card templates available on a board. You can get all card templates by calling the cardTemplates endpoint.
- Read
Check if a card template is available on a board
Check if a card template is available on a board.
- Destructive
Make a card template available on a board
Make a card template available on a board.
- Destructive
Make a card template unavailable on a board
Make a card template unavailable on a board. Info This action only removes the card template from the board and does not delete the actual card template.
Board Card Types
- Read
Get a list of card types available on a board
Get a list of the card types available on a board. You can get all card types by calling the cardTypes endpoint.
- Read
Check if a card type is available on a board
Check if a card type is available on a board.
- Read
Get the effective settings of a card type for a board if it is available on it
Get the effective settings of a card type for a board if it is available on it. If you've made any changes to a type on a board level using the updateBoardCardType endpoint, those changes will be reflected here as well.
- Write
Update a card type available on a board
Update a card type available on a board. The changes made will only apply to the specific board and will not affect the global settings of the card type.
- Destructive
Make a card type available on a board
Make a card type available on a board. Info If no parameters are specified in the request body, the card type will be added to the board with null values for all fields.
- Destructive
Make a card type unavailable on a board
Make a card type unavailable on a board. Info This action only removes the card type from the board and does not delete the actual card type.
Board Column Checklist Items
- Read
Get a list of checklist items in a specified column
Get a list of the checklist items (exit criteria) in a specified column.
- Read
Get the details of a single checklist item in a specified column
Get the details of a single checklist item (exit criterion) in a specified column.
- Write
Create a checklist item in a specified column
Create a new checklist item (exit criterion) in a specified column.
- Write
Update a checklist item in a specified column
Update a checklist item (exit criterion) in a specified column.
- Destructive
Delete a checklist item in a specified column
Delete a checklist item (exit criterion) in a specified column.
Board Column Checklist Item Allowed Users
- Read
Get a list of the users that are allowed to mark the specified checklist item as completed in a specified column
Get a list of the users that are allowed to mark the specified checklist item (exit criterion) as completed in a specified column. If the list is empty, all users added to the board are allowed to check the checklist item.
- Read
Check if a user is allowed to mark the specified checklist item as completed in a specified column
Check if a user is allowed to mark the specified checklist item (exit criterion) as completed in a specified column. Info If the list of users allowed to mark a checklist item as completed is empty, this endpoint will return the 404 error for all users added to the board.
- Destructive
Allow a user to mark the specified checklist item as completed in a specified column
Allow a user to mark the specified checklist item (exit criterion) as completed in a specified column.
- Destructive
Disallow a user to mark the specified checklist item as completed in a specified column
Disallow a user to mark the specified checklist item (exit criterion) as completed in a specified column.
Board Custom Field Allowed Values
- Read
Get a list of the allowed values of a custom field of type dropdown on a specified board
Get a list of allowed values for a custom field of type dropdown on the specified board. You can obtain detailed information about the allowed values by calling the allowedValues endpoint.
- Read
Get a single allowed value for a custom field of type dropdown on a specified board
Get a single allowed value for a custom field of type dropdown on the specified board. You can obtain detailed information about the allowed value by calling the allowedValues endpoint.
- Write
Update an allowed value for a custom field of type dropdown on a specified board
Update an allowed value for a custom field of type dropdown on a specified board.
- Destructive
Add or update an allowed value for a custom field of type dropdown on a specified board
Add or update an allowed value for a custom field of type dropdown on the specified board. If a new allowed value is added on a board level, the allowed value will also appear on a global level.
- Destructive
Remove an allowed value for a custom field of type dropdown on a specified board
Remove an allowed value for a custom field of type dropdown on a specified board. Info This action only removes the allowed value from the board and does not delete the allowed value itself.
Board Custom Field Default Contributors
- Read
Get a list of the default contributors for a custom field of type contributor on a specified board
Get a list of the default contributors for a custom field of type contributor on a specified board. You can find a list of all custom files of type contributor by calling the customFields endpoint with a filter for types, e.g. /customFields?types=contributor.
- Read
Check if a user is a default contributor for a custom field of type contributor on a specified board
Check if a user is a default contributor for a custom field of type contributor on a specified board.
- Destructive
Set a user as a default contributor for a custom field of type contributor on a specified board
Set a user as a default contributor for a custom field of type contributor on a specified board.
- Destructive
Remove a user from the default contributor list for a custom field of type contributor on a specified board
Remove a user from the default contributor list for a custom field of type contributor on a specified board.
Board Custom Fields
- Read
Get a list of custom fields available on a specified board
Get a list of the custom fields available on a specified board. You can obtain detailed information about the custom fields by calling the customFields endpoint.
- Read
Get a custom field available on a specified board
Get a custom field available on a specified board. Info The response body of this request may contain mostly null values, if the custom field hasn't been updated at least once on a board level. In those cases you can call the effectiveSettings endpoint.
- Read
Get the effective settings of a custom field available on a specified board
Get the effective settings of a custom field available on a specified board.
- Write
Update the properties of a custom field available on a specified board
Update the properties of a custom field available on a specified board.
- Destructive
Add a custom field to a board
Add a custom field to a board. When adding a custom field to a board, please check its availability level in the global settings using the customFields/{fieldid} endpoint. When set to 0 the custom field has to be added to boards manually.
- Destructive
Make a custom field unavailable on a specified board
Make a custom field unavailable on a specified board.
Board Data Fields
- Read
Get a list of a board's data fields
Get a list of the data fields available on a specified board. You can obtain detailed information about the data fields by calling the dataFields endpoint.
- Read
Get a data field data on a specified board
Get a data field data on a specified board.
- Write
Update a data field value on a board
Update a data field value on a board. This is mainly for users which have the 'manage data fields' permission in their board role, but can also be used by owners and admins.
- Destructive
Add or update a data field to/on a board
Add or update a data field to/on a board.
- Destructive
Remove a data field from a board
Remove a data field from a board.
Board Default Settings
- Read
Get the default values of the board settings
Get the default values of the board settings.
- Read
Get the default value of a specific board setting
Get the default value of a specific board setting.
- Destructive
Set the default value of a specific board setting
Set the default value of a specific board setting.
- Destructive
Reset the default value of a specific board setting
Reset the default value of a specific board setting. This changes the setting's default value to null.
Board Departure Rules
- Read
Get a list of the departure rules for a specified board
Get a list of the departure rules for a specified board.
- Read
Get a specific departure rule for a specified board
Get a specific departure rule for a specified board.
- Write
Add a departure rule to a specified board
Add a departure rule to a specified board.
- Write
Update a departure rule for a specified board
Update a departure rule for a specified board.
- Destructive
Delete a departure rule from a specified board
Delete a departure rule from a specifed board.
Board Discard Reasons
- Read
Get a list of discard reasons available on the specified board
Get a list of the discard reasons available on the specified board. You can get a list of all discard reasons by calling the discardReasons endpoint.
- Read
Check if a discard reason is available on the specified board
Check if a discard reason is available on the specified board.
- Destructive
Make a discard reason available on the specified board
Make a discard reason available on the specified board.
- Destructive
Make a discard reason unavailable on the specified board
Make a discard reason unavailable on a board. Info This action only removes the discard reason from the board and does not delete the actual discard reason.
Board Docs
- Read
Get docs for a board
Get all docs associated with a specific board.
- Write
Update the position of a child doc on a board
Update the position of a doc among the child docs of its parent doc, for a specific board only. The doc must be a descendant of a doc that is added to the board. The order in the main doc list and the order on any other board are not affected.
Board History
- Read
Get a list of board management history events
Retrieves a list of events related to board management. This endpoint allows you to review the history of boards and can be tailored using various filtering options.
Board Logged Time Categories
- Read
Get a list of the logged time categories for the specified board
Get a list of the logged time categories for the specified board. You can get a list of all logged time categories by calling the loggedTimeCategories endpoint.
- Read
Check if a logged time category is available on the specified board.
Check if a logged time category is added on the specified board.
- Destructive
Make a logged time category available on the specified board
Make a logged time category available on the specified board.
- Destructive
Make a logged time category unavailable on the specified board
Make a logged time category unavailable on a board. Info This action only removes the logged time category from the board and does not delete the actual logged time category.
Board Milestones
- Read
Get a list of milestones available on the specified board
Get a list of the milestones available on the specified board. You can get a list of all milestones by calling the milestones endpoint.
- Read
Check if a milestone is available on the specified board
Check if a milestone is available on the specified board.
- Destructive
Make a milestone available on the specified board
Make a milestone available on the specified board.
- Destructive
Make a milestone unavailable on the specified board
Make a milestone unavailable on a board. Info This action only removes the milestone from the board and does not delete the actual milestone.
Board Points Of Contact
- Read
Get a list of users assigned as points of contact for the specified board
Get a list of users assigned as points of contact (POCs) for the specified board. These users receive all access requests sent for the board. You can check all board access requests using the boardAccessRequests endpoint.
- Read
Check if a user is added as point of contact for the specified board
Check if a user is added as point of contact for the specified board.
- Destructive
Add a user as a point of contact for the specified board
Add a user as a point of contact for the specified board.
- Destructive
Remove a user as a point of contact for the specified board
Remove a user from the list of points of contact for the specified board.
Board Settings
- Read
Get the values of the board settings
Get the values of the board settings.
- Write
Set the values of the board settings
Set the values of the board settings.
Board Stickers
- Read
Get a list of stickers available on the specified board
Get a list of the stickers available on a board. You can get a list of all stickers by calling the stickers endpoint.
- Read
Check if a sticker is available on the specified board
Check if a sticker is available on the specified board.
- Write
Update the properties of a sticker for the specified board
Update the properties of a sticker for the specified board.
- Destructive
Make a sticker available on the specified board
Make a sticker available on the specified board.
- Destructive
Make a sticker unavailable on the specified board
Make a sticker unavailable on the specified board.
Board Structure
- Read
Get the current board structure
Retrieves the complete and current structural configuration of a specific board, including all workflows, lanes, and columns, each uniquely identified by an ID. A board is composed of one or more workflows, which are the top-level organizational units.
- Read
Get the current revision of the board structure for the specified board
Get the current revision of the board structure for the specified board. The revision number denotes the number of times edits were made to the board structure. A single revision can include multiple edits, if they were done at the same time.
Board Structure Revisions
- Read
Get a list of the past revisions of the board structure for the specified board
Get a list of the past revisions of the board structure for the specified board and the date and time at which they were replaced. You can get the current revision by using the currentStructure/revision endpoint.
- Read
Get a specific revision of the board structure for the specified board
Get a specific revision of the board structure for the specified board.
Board Tags
- Read
Get a list of the tags available on the specified board
Get a list of the tags available on the specified board.
- Read
Check if a tag is available on the specified board
Check if a tag is available on the specified board.
- Destructive
Make a tag available on the specified board
Make a tag available on the specifie board.
- Destructive
Make a tag unavailable on a board
Make a tag unavailable on a board. Info This action only removes the tag from the board and does not delete the actual tag.
Board Teams
- Read
Get a list of the teams assigned to a specified board
Get a list of the teams assigned to a specified board. You can get a list of all teams by calling the teams endpoint.
- Read
Check if a team is assigned to the specified board
Check if a team is assigned to the specified board.
- Destructive
Assign or update a team's role for the specified board
Assign or update a team's role for the specified board.
- Destructive
Unassign a team from the specified board
Unassign a team from the specified board. Info This action only removes the team from the board and does not delete the actual team.
Board Visible Standard Fields
- Read
Get a list of standard fields visible on the specified board
Returns a list of standard fields that are visible for each card on the specified board. These fields control what metadata is displayed directly on cards in the UI, such as: - lastmodified – Shows the date and time the card was last updated.
- Read
Check if a standard field is visible on the specified board
Check if a standard field is visible on the specified board.
- Destructive
Make a standard field visible on the specified board
Make a standard field visible on the specified board.
- Destructive
Make a standard field no longer visible on the specified board
Make a standard field no longer visible on the specified board.
Boards
- Read
Get a list of boards
Retrieves a list of boards with their relevant details, optionally filtered using various parameters. There are two types of boards: - Team Kanban Board - Allows your team to visualize, track, and manage their work in a single place.
- Read
Get the details of a single board
Get the details of a single board. Info You can use the GET /boards endpoint with the boardids query parameter to retrieve multiple boards in a single request.
- Write
Create a board
Create a new board.
- Write
Update a board
Update a board.
- Destructive
Delete a board
Delete a board.
Business Rules Active Rules Limit
- Read
Get the active rules limit for the business rules
Get the active rules limit for business rules in the current Businessmap account, based on your subscription plan.
Business Rule Execution History
- Read
Get a list of business rule executions
Retrieves a list of past business rule executions along with their relevant details. This endpoint allows you to review the execution history of business rules and can be customized using various filtering options.
Calculated Outcome Value Rules Active Rules Limit
- Read
Get the active rules limit for the calculated outcome value rules
Get the active rules limit for calculated outcome value rules in the current Businessmap account.
Calculated Outcome Value Rules Execution History
- Read
Get a list of calculated outcome value rule executions
Retrieves a list of past calculated outcome value rule executions and their details. This endpoint lets you review the execution history of calculated outcome value rules and supports various filtering options.
Card Attachments
- Read
Get a list of a card's attachments
Retrieve a list of all attachments associated with a specific card. There is an account-wide setting that controls whether attachments are enabled or disabled for all users.
- Read
Get the details of an attachment for a card
Get the details of a specific attachment for a card.
- Write
Add an attachment to a card
Add a file as an attachment to a card.
- Write
Update the details of an attachment for a card
Update the details of a specific attachment for a card.
- Destructive
Delete an attachment from a card
Delete a specific attachment from a card. Info This action only makes the attachment unavailable on the specified card and does not delete the actual file which may be referenced by other cards at a later time.
Card Block Reason
- Read
Get the block reason for a specific card
Check whether a specific card is currently blocked and, if so, the reason for the block.
- Destructive
Block a card
"Block a card, or update its block reason or comment if it is already blocked. You can get all block reasons by calling the blockReasons endpoint. You can get the block reasons for a specific board by calling the board blockReasons endpoint."
- Destructive
Unblock a card
Unblock a card.
Card Column Checklist Items
- Read
Get a list of checked column checklist items for a card
Retrieves all checklist items (i.e. exit criteria) that have been marked as completed (checked) for a specific card, across all columns.
- Read
Get the details of a checked column checklist item for a card
Get the details of a specific checked column checklist item (i.e. exit criterion) for a card.
- Destructive
Check a column checklist item for a card
Mark a column checklist item as completed for a card.
- Destructive
Uncheck a column checklist item for a card
Mark a column checklist item as not completed for a card. Info This action does not delete the checklist item (i.e. exit criterion), it only marks it as unchecked for the current card. The checklist item will still be available in the list of column checklist items for the card.
Card Comment Attachments
- Read
Get a card comment's attachments
Retrieve all attachments associated with a specific comment on a card.
- Read
Get the details of a specific attachment for a card comment
Retrieves detailed information about a specific attachment associated with a comment on a card.
- Write
Add an attachment to a card comment.
Add an attachment to a card comment. You can get a list of all of the card's attachments by calling the card attachments endpoint.
- Destructive
Delete an attachment for a card comment
Delete a specific attachment for a card comment. Info This action only makes the attachment unavailable on the specified card comment and does not delete the actual file which may be referenced by other cards and card comments at a later time.
Card Comments
- Read
Get a card's comments
Get a list of all comments associated with a specific card.
- Read
Get the details of a comment for a card
Retrieves detailed information about a specific comment associated with a card.
- Write
Add a comment to a card.
Create a new comment to a specific card. Only comments of type plain can be created using the API.
- Write
Update the details of a comment on a card
Updates the details of a specific comment associated with a card. Only comments of type plain can be updated using the API.
- Destructive
Delete a comment from a card
Delete a specific comment associated with a card.
Card Cover Image
- Read
Get the details of the card's cover image
Retrieve information about a card's cover image.
- Destructive
Set the card's cover image
Set an attached image file as the card's cover image. Only users with both “Edit card details” and “Card attachments” permissions can make and remove card covers. Only attached image files in the formats jpg, jpeg, png, and webp can be set as cover images.
- Destructive
Remove the card's cover image
Remove the cover image previously set for the card. Info This action does not delete the image file, it only unsets it as a cover image for the current card. The file remains as an attachment on the card.
Card Co Owners
- Read
Get a card's co-owners
Retrieve a list of a card's co-owners.
- Read
Check if a user is a co-owner of a card
Check if a user is assigned as a co-owner of a card.
- Destructive
Add a user as a co-owner of a card
Assign a user as a co-owner of a card.
- Destructive
Remove a user as a co-owner of a card
Remove a user as a co-owner of a card.
Card Custom Field Contributors
- Read
Get a list of the contributors for a custom field of type contributor on a card
Retrieve a list of the contributors assigned to a custom field of type contributor that has been added to a specific card.
- Read
Check if a user is a contributor for a custom field of type contributor added to a card
Check if a user is assigned as a contributor to a custom field of type contributor that has been added to a card.
- Destructive
Add a user as a contributor for a custom field of type contributor added to a card
Assign a user as a contributor for a custom field of type contributor that has been added to a card.
- Destructive
Remove a user as a contributor from a custom field of type contributor added to a card
Remove a user as a contributor from a custom field of type contributor that has been added to a card.
Card Custom Field Files
- Read
Get a list of files for a custom field of type file added to a card
Retrieve a list of files uploaded to a custom field of type file that has been added to a specific card.
- Read
Get the details of a single file from a custom field of type file on a card
Get the details of a specific file from a custom field of type file that has been added to a card.
- Write
Add a file to a custom field of type file on a card
Add a file to a custom field of type file that has been added to a card.
- Write
Update a file from a custom field of type file on a card
Update a specific file from a custom field of type file that has been added to a card.
- Destructive
Delete a file from a custom field of type file on a card
Delete a specific file from a custom field of type file that has been added to a card.
Card Custom Field Selected Cards
- Read
Get a list of the selected cards for a custom field of type card picker for a card
Retrieves a list of cards selected for a custom field of type card picker associated with a specific card.
- Read
Get the details of a selected card for a custom field of a card
Retrieve the position of a specific card selected for a custom field of type card picker associated with a given card.
- Write
Add or update a selected card for a custom field of a card
Modify the position of a card selected for a custom field of type card picker associated with a specific card.
- Destructive
Remove a selected card for a custom field of a card
Remove a selected card for a custom field of type card picker associated with a specific card.
Card Custom Field Selected Values
- Read
Get a list of the selected values for a custom field of type dropdown for a card
Retrieve the list of values selected for a custom field of type dropdown associated with a specific card.
- Read
Get the details of a selected value for a custom field of type dropdown for a card
Retrieve the position of a specific value selected for a custom field of type dropdown associated with a given card.
- Write
Update the position of a selected dropdown value for a card's custom field
Modify the position of a selected value in a custom field of type dropdown associated with a specific card.
- Destructive
Delete a selected dropdown value from a card's custom field
Remove a specific value from the list of selected values in a custom field of type dropdown associated with a given card.
Card Custom Field Votes
- Read
Get a list of the votes for a custom field of type vote on a card
Retrieve a list of the votes for a custom field of type vote that has been added to a card.
- Read
Get your vote for a custom field of of type vote on a card
Get the value of the vote submitted by the authenticated user to a custom field of type vote that has been added to a card.
- Write
Update your vote for a custom field of type vote on a card
Update your vote for a custom field of type vote that has been added to a card.
- Destructive
Set your vote for a custom field of type vote on a card
Cast a vote for a custom field of type vote that has been added to a card.
- Destructive
Delete your vote for a custom field of type vote on a card
Remove your vote for a custom field of type vote that has been added to a card.
Card Custom Fields
- Read
Get a list of card custom field values
Retrieve a list of the custom fields added to a specific card along with their associated values.
- Read
Get the details of a custom field of a card if the field is added
Retrieve the details of a specific custom field associated with a card, if the field has been added to it.
- Destructive
Add or update a custom field on a card
Add a new custom field to a card or update the specified custom field if it is already added to the card. You can get a list of all custom fields added to a card by calling the customFields endpoint.
- Destructive
Remove a custom field from a card
Remove a custom field from a card.
Card Linked Cards
- Read
Get a list of a card's linked cards
Retrieve a list of the cards that are linked to a given card ordered by position.
Card Milestones
- Read
Get a list of a card's milestones
Get a list of the milestones added to a card.
- Read
Check if a milestone is added to a card
Check if a specific milestone is added to a card.
- Destructive
Add a milestone to a card
Make a milestone available on a card.
- Destructive
Remove a milestone from a card
Remove a milestone from a card. Info This action only makes the milestone unavailable on the specified card and does not actually delete the milestone itself.
Card Outcomes
- Read
Get a list of outcomes linked to a card
Retrieve a list of outcomes linked to a card, ordered by position. Each item includes outcomeid and position.
- Read
Get a card outcome by outcome ID
Retrieve the position of a specific outcome linked to a card.
- Destructive
Update a card outcome position
Add a new outcome to a card or update the position of an existing outcome linked to a card.
- Destructive
Remove an outcome from a card
Remove an outcome from a card. The outcome definition is not deleted; it is only unlinked from the card.
Card Parent Cards
- Read
Get a list of parent cards
Retrieve a list of the parent cards of a given card.
- Read
Check if a card is a parent of a given card
Check if a card is a parent of a given card and get its position in the child card's list of linked cards.
- Read
Get a list of parent cards including their parent cards too
Retrieves not only the immediate parent cards of a specified card, but also the parent cards of those parent cards-effectively providing a complete hierarchy up to the "grandparent" level.
- Destructive
Make a card a parent of a given card
Establishes a parent-child relationship between two cards by designating one card as the parent of a specified card. This operation also allows specifying the positions of the cards in each other's list of linked cards.
- Destructive
Remove the link between a child card and a parent card
Remove the parent-child link between two cards, effectively making them independent of each other.
Card Relative Cards
- Read
Get a list of a card's related cards
Retrieve a list of the relative cards associated with a given card.
- Read
Check if a card is a relative of a given card
Check if a card is a relative of a given card and get its position in that card's list of linked cards.
- Destructive
Make a card a relative of a given card
Establishes a relationship between two cards by designating one card as a relative of the specified card. This operation also allows specifying the positions of the cards in each other's list of linked cards.
- Destructive
Remove the link between a card and a related card
Remove the link between two related cards, effectively making them independent of each other.
Card Predecessor Cards
- Read
Get a list of predecessor cards
Retrieve a list of cards that are predecessors to the specified card. Predecessor cards are linked cards that must be completed before the given card can proceed.
- Read
Check if a card is a predecessor of a given card
Determine whether a card is a predecessor of the specified card and retrieve its position in the successor's list of linked cards.
- Read
Get a list of all predecessor cards linked to a specified card, including predecessors of its predecessors
Get the full list of predecessor cards for a given card, including the predecessor cards of those predecessor cards. This endpoint provides a hierarchical view of all linked predecessor cards.
- Destructive
Establish or update the predecessor relationship between two cards
Create or update a predecessor-successor relationship between two cards by designating one card as the predecessor of the specified card. If the cards are already linked, this operation allows updating their positions in each other's list of linked cards.
- Destructive
Delete the link between a successor card and a predecessor card
Delete the link between a successor card and a predecessor card, effectively removing the predecessor-successor relationship between them.
Card Revisions
- Read
Get a list of revisions of the card
Retrieve a list of all revisions made to the specified card, including the date and time each revision was replaced.
- Read
Get a specific revision of a card
Retrieve the details of a specific revision for a card
Card Stickers
- Read
Get a list of card stickers
Get a list of the stickers added to a card. The stickers are listed in the order in which they were added. You can get a list of all stickers available on the board where the card is located by calling the boardStickers endpoint.
- Write
Add a sticker to a card
Add a sticker to a card. A single sticker can be added multiple times by default. If you want to prevent adding a sticker that has already been added to the card, set the ifnotpresent parameter to 1.
- Destructive
Remove a sticker from a card
Remove a sticker from a card.
Card Subtask Attachments
- Read
Get the attachments of a card subtask
Get the attachments of a card subtask.
- Read
Get the details of an attachment for a card subtask
Get the details of an attachment for a card subtask.
- Write
Add an attachment to a card subtask
Add an attachment to a card subtask.
- Write
Update the details of an attachment for a card subtask
Update the details of an attachment for a card subtask.
- Destructive
Delete an attachment for a card subtask
Delete a specific attachment from a card subtask. Info This action only makes the attachment unavailable on the specified card subtask and does not delete the actual file which may be referenced by other cards or card subtasks at a later time.
Card Subtasks
- Read
Get a card's subtasks
Retrieve a list of a card's subtasks.
- Read
Get the details of a subtask for a card
Get the details of a specific subtask for a card.
- Write
Add a subtask to a card
Create a new subtask for a card.
- Write
Update the details of a subtask for a card
Update the details of a subtask for a card.
- Destructive
Delete a subtask for a card
Remove a subtask from a card.
Card Successor Cards
- Read
Get a list of successor cards
Retrieve a list of cards that are successors to the given card. Successor cards are linked cards that depend on the completion of the specified card to proceed.
- Read
Check if a card is a successor of a given card
Determine whether a card is a successor of the given card and retrieve its position in the predecessor's list of linked cards. Successor cards are linked cards that depend on the completion of the specified card to proceed.
- Read
Get a list of all successor cards linked to a specified card, including successors of its successors
Get the full list of successor cards for a given card, including the successor cards of those successor cards. This endpoint provides a hierarchical view of all linked successor cards.
- Destructive
Establish or update the successor relationship between two cards
Create or update a successor-predecessor relationship between two cards by designating one card as the successor of the specified card. If the cards are already linked, this operation allows updating their positions in each other's list of linked cards.
- Destructive
Remove the successor-predecessor relationship between two cards
Delete the link between a predecessor card and a successor card, effectively removing the successor-predecessor relationship between them.
Card Tags
- Read
Get a list of card tags
Get a list of all tags that have been added to the specified card.
- Read
Check if a tag is added to a card
Verify if a specific tag is associated with a card
- Destructive
Add a tag to a card
Add a tag to a card. You can see the list of all tags in the tags endpoint. You can see the list of tags for a specific board in the board tags endpoint.
- Destructive
Remove a tag from a card
Remove a tag from a card.
Card Template Card Attachments
- Read
Get a list of attachments of a card of a card template
Get a list of attachments that are associated with a card within a card template.
- Read
Get the details of an attachment of a card of a card template
Get the details of specific attachment associated with a card within a card template.
- Write
Add an attachment to a card of a card template
Add an attachment to a card that is present within a card template.
- Write
Update the details of an attachment of a card of a card template
Update the details of specific attachment associated with a card within a card template.
- Destructive
Delete an attachment of a card of a card template
Remove an attachment associated with a card within a card template. Info This action only makes the attachment unavailable on the specified template card and does not delete the actual file which may be referenced by other cards at a later time.
Card Template Card Child Cards
- Read
Get a list of child cards for a card within a card template
Retrieve a list of all child cards associated with a specific card in a card template.
- Read
Check if a card is a child of a given card of a card template
Determine whether a card is a child of the specified card within a card template and retrieve its position in the parent's list of linked cards.
- Destructive
Establish a parent-child relationship between two cards within a card template
Create a parent-child relationship between two cards within a card template by designating one card as the parent of the specified child card. This operation also allows specifying the positions of the cards in each other's list of linked cards.
- Destructive
Remove the parent-child link between two cards within a card template
Delete the link between a parent card and a child card within a card template, effectively removing the parent-child relationship between them.
Card Template Card Co Owners
- Read
Get a list of co-owners of a card of a card template
Retrieve a list of co-owners for a card that is within a card template.
- Read
Check if a user is a co-owner of a card of a card template
Check if a user is assigned as a co-owner of a card within a card template.
- Destructive
Add a user as a co-owner of a card of a card template
Assign a user as a co-owner of a card within a card template.
- Destructive
Remove a user as a co-owner of a card of a card template
Remove a user as a co-owner of a card within a card template.
Card Template Card Custom Fields
- Read
Get a list of custom fields of a card of a card template
Retrieve a list of the custom fields added to a card within a card template along with their associated values.
- Read
Get the details of a custom field of a card of a card template if the field is added to the card
Get the details of a specific custom field of a card within a card template if the field is added to the card.
- Destructive
Add or update a custom field to a card of a card template
Add a new custom field to a card or update the specified custom field if it is already added to the card in a card template.
- Destructive
Remove a custom field from a card of a card template
Remove a custom field from a card within a card template.
Card Template Card Custom Field Contributors
- Read
Get a list of the default contributors for a custom field of a card of a card template
Get a list of default contributors assigned to a specific custom field of a card within a card template.
- Read
Verify if a user is a contributor for a custom field in a card within a card template
Determine whether a specific user is assigned as a contributor to a custom field of a card within a card template.
- Destructive
Assign a user as a contributor for a custom field in a card within a card template
Add a user as a contributor to a specific custom field of a card within a card template. You can see the list of all users in the users endpoint. You can see the list of all users assigned to board in the board users endpoint.
- Destructive
Remove a user as a contributor for a custom field in a card template
Delete the association of a user as a contributor for a specific custom field of a card within a card template. This action removes the user's contributor role for the custom field.
Card Template Card Custom Field Files
- Read
Get a list of the files for a custom field of a card of a card template
Get a list of files uploaded to a specific custom field of a card within a card template.
- Read
Get the details of a specific file associated with a custom field in a card template
Get the details of a specific file that is linked to a custom field of a card within a card template.
- Write
Add a file for a custom field of a card of a card template
Add a file to a specific custom field of a card within a card template.
- Write
Update the details of a file associated with a custom field in a card template
Update the details of a specific file linked to a custom field of a card within a card template.
- Destructive
Remove a file associated with a custom field in a card template
Remove a specific file linked to a custom field of a card within a card template. This action removes the file's association with the custom field but does not delete the actual file, which may still be referenced elsewhere.
Card Template Card Custom Field Selected Values
- Read
Get a list of the selected values for a custom field of type dropdown of a card of a card template
Get a list of values selected for a dropdown custom field associated with a specific card within a card template.
- Read
Get the details of a selected value for a dropdown custom field of a card of a card template
Get the details of a selected value for a dropdown custom field of a card of a card template.
- Write
Add or update a selected value for a dropdown custom field in a card template
Add a new selected value or update an existing value for a dropdown custom field associated with a specific card in a card template.
- Destructive
Add or update a selected value for a dropdown custom field of a card of a card template
Add a new selected value or update the position of an existing value for a dropdown custom field associated with a specific card in a card template.
- Destructive
Remove a selected value for a dropdown custom field of a card of a card template
Remove a specific value from the list of selected values in a dropdown custom field associated with a card in a card template. This action unlinks the value from the custom field but does not delete the value itself.
Card Template Card Milestones
- Read
Get a list of milestones of a card of a card template
Retrieve a list of milestones added to a card within a card template.
- Read
Check if a milestone is added to a card of a card template
Check if a specific milestone is added to a card within a card template.
- Destructive
Add a milestone to a card of a card template
Add a milestone to a card within a card template.
- Destructive
Remove a milestone from a card of a card template
Remove a milestone from a card within a card template. Info This action only makes the milestone unavailable on the specified card within the template and does not actually delete the milestone itself.
Card Template Card Parent Cards
- Read
Get a list of parent cards of a card of a card template
Get a list of parent cards associated with a specific card in a card template.
- Read
Check if a card is a parent of a given card of a card template
Determine whether a card is a parent of the specified card within a card template and retrieve its position in the child card's list of linked cards.
- Destructive
Establish a parent-child relationship between two cards within a card template
Create a parent-child relationship between two cards within a card template by designating one card as the parent of the specified child card. This operation also allows specifying the positions of the cards in each other's list of linked cards.
- Destructive
Remove the parent-child relationship between two cards within a card template
Delete the link between a child card and a parent card within a card template, effectively removing the parent-child relationship between them.
Card Template Card Predecessor Cards
- Read
Get a list of predecessor cards for a card within a card template
Get a list of predecessor cards associated with a specific card in a card template.
- Read
Check if a card is a predecessor of a specified card within a card template
Determine whether a card is a predecessor of the specified card within a card template and retrieve its position in the successor's list of linked cards.
- Destructive
Establish a predecessor relationship between two cards within a card template
Create a predecessor-successor relationship between two cards within a card template by designating one card as the predecessor of the specified card. This operation also allows specifying the positions of the cards in each other's list of linked cards
- Destructive
Remove the predecessor-successor relationship between two cards within a card template
Delete the link between a successor card and a predecessor card within a card template, effectively removing the predecessor-successor relationship between them.
Card Template Card Relative Cards
- Read
Get a list of relative cards for a card within a card template
Get a list of relative cards associated with a specific card in a card template.
- Read
Check if a card is a relative of a specified card within a card template
Determine whether a card is a relative of the specified card within a card template and retrieve its position in the linked card's list of linked cards.
- Destructive
Establish a relative relationship between two cards within a card template
Create a relative relationship between two cards within a card template by designating one card as related to the specified card. This operation also allows specifying the positions of the cards in each other's list of linked cards.
- Destructive
Remove the relationship between two related cards within a card template
Delete the link between two related cards within a card template, effectively removing the relationship between them. This action makes the cards independent of each other.
Card Template Card Stickers
- Read
Get a list of stickers for a card within a card template
Get a list of stickers associated with a specific card in a card template. The stickers are displayed in the order they were added to the card.
- Write
Add a sticker to a card within a card template
Attach a sticker to a specific card within a card template.
- Destructive
Remove a sticker from a card within a card template
Delete a specific sticker associated with a card in a card template. Info This action removes the sticker from the card but does not delete the sticker itself from the system.
Card Template Card Subtask Attachments
- Read
Get a list of attachments for a subtask within a card template
Get a list of attachments associated with a specific subtask of a card within a card template.
- Read
Get the details of an attachment for a subtask within a card template
Get information about a specific attachment associated with a subtask of a card within a card template.
- Write
Attach a file to a subtask within a card template
Add an attachment to a specific subtask of a card within a card template.
- Write
Update the details of an attachment for a subtask within a card template
Update the properties of a specific attachment associated with a subtask of a card within a card template.
- Destructive
Remove an attachment from a subtask within a card template
Delete a specific attachment associated with a subtask of a card within a card template. This action removes the attachment from the subtask but does not delete the actual file, which may still be referenced elsewhere.
Card Template Card Subtasks
- Read
Get a list of the subtasks of a card of a card template
Retrieve a list of the subtasks of a card within a card template.
- Read
Get the details of a subtask of a card of a card template
Get the details of a specific subtask of a card within a card template.
- Write
Add a subtask of a card of a card template
Add a subtask to a card within a card template.
- Write
Update the details of a subtask of a card of a card template
Update the details of a specific subtask of a card within a card template.
- Destructive
Delete a subtask of a card of a card template
Remove a subtask of a card within a card template.
Card Template Card Successor Cards
- Read
Get a list of successor cards of a card of a card template
Get a list of successor cards associated with a specific card in a card template.
- Read
Check if a card is a successor of a given card of a card template
Determine whether a card is a successor of the specified card within a card template and retrieve its position in the predecessor's list of linked cards.
- Destructive
Make a card a successor of a given card of a card template
Create a predecessor-successor relationship between two cards within a card template by designating one card as the successor of the specified card. This operation also allows specifying the positions of the cards in each other's list of linked cards
- Destructive
Remove the link between a predecessor card and a successor card
Delete the link between a successor card and a predecessor card within a card template, effectively removing the predecessor-successor relationship between them.
Card Template Card Tags
- Read
Get a list of tags of a card of a card template
Retrieve a list of the tags associated with a specific card in a card template.
- Read
Check if a tag is added to a card of a card template
Determine if a tag is added to a card within a card template.
- Destructive
Add a tag to a card of a card template
Add a tag to a card within a card template.
- Destructive
Remove a tag from a card of a card template
Remove a tag from a card within a card template. Info This action removes the tag from the card but does not delete the tag itself from the system.
Card Template Card Watchers
- Read
Get a list of watchers of a card of a card template
Get a list of watchers for a specific card within a card template.
- Read
Check if a user is a watcher of a card of a card template
Determine if a user is a watcher of a specific card within a card template.
- Destructive
Add a watcher of a card of a card template
Add a user as a watcher of a specific card within a card template.
- Destructive
Remove a watcher of a card of a card template
Remove a user as a watcher of a specific card within a card template.
Card Template Cards
- Read
Get a list of cards for the card template
Retrieve a list of cards associated with a specific card template.
- Read
Get the details of a single card of a card template
Retrieve the details of a specific card within a template.
- Write
Add a card to the card template
Add a new card to a card template.
- Write
Update a card of a card template
Update a card that is within a card template.
- Destructive
Delete a card of a card template
Delete a card from within a card template
Card Templates
- Read
Get a list of card templates
Retrieves a list of card templates with their relevant details, optionally filtered using various parameters.
- Read
Get the details of a single card template
Get the details of a single card template. Info You can use the GET /cardTemplates endpoint with the templateids query parameter to retrieve multiple card templates in a single request.
- Write
Create a new card template
Creates a new card template. Each template always contains a primary card, represented by the primarycard object, which holds the data used to create the template. Templates can also include multiple additional cards linked to the primary card, e.g. child, relative, etc.
- Write
Update a card template
Update a card template.
- Destructive
Delete a card template
Delete a card template.
Card Templates History
- Read
Get a list of card templates creation, deletion and update events
Get a list of events related to the creation, deletion, and updates of card templates. The results can be filtered using optional criteria.
Card template Delete Many
- Destructive
Delete many card templates
Schedule multiple card templates for deletion in a single request. Card templates are not deleted immediately — they are queued for batch processing and the deletion runs in the background. There is no way to estimate how long the process will take.
Card template Disable Many
- Write
Disable many card templates
Schedule multiple card templates for disabling in a single request. Card templates are not disabled immediately — they are queued for batch processing and the disabling runs in the background. There is no way to estimate how long the process will take.
Card template Enable Many
- Write
Enable many card templates
Schedule multiple card templates for enabling in a single request. Card templates are not enabled immediately — they are queued for batch processing and the enabling runs in the background. There is no way to estimate how long the process will take.
Card Types
- Read
Get a list of card types
Retrieves a list of card types with their relevant details, optionally filtered using various parameters.
- Read
Get the details of a single card type
Get the details of a single card type. Info You can use the GET /cardTypes endpoint with the typeids query parameter to retrieve multiple card types in a single request.
- Write
Create a card type
Create a new card type.
- Write
Update a card type
Update a card type.
- Destructive
Delete a card type
Delete a card type.
Card Type Boards
- Read
Get a list of boards where a specific card type is available
Get a list of boards on which the specified card type is available. You can see a list of all card types in the card types endpoint.
- Write
Manage the availability of a card type on multiple boards
Add or update the availability of a card type on several boards, or remove it from specified boards. This operation allows you to configure the card type's settings for each board. You can see a list of all card types in the card types endpoint.
Card Type Cards
- Read
Get a list of cards associated with a specific card type
Get a list of cards where the specified card type is applied. You can see a list of all card types in the card types endpoint.
Card Type History
- Read
Get a list of card types creation, deletion and update events
Get a list of events related to the creation, deletion, and updates of card types. The results can be filtered using optional criteria.
Card type Delete Many
- Destructive
Delete many card types
Schedule multiple card types for deletion in a single request. Card types are not deleted immediately — they are queued for batch processing and the deletion runs in the background. There is no way to estimate how long the process will take.
Card type Disable Many
- Write
Disable many card types
Schedule multiple card types for disabling in a single request. Card types are not disabled immediately — they are queued for batch processing and the disabling runs in the background. There is no way to estimate how long the process will take.
Card type Enable Many
- Write
Enable many card types
Schedule multiple card types for enabling in a single request. Card types are not enabled immediately — they are queued for batch processing and the enabling runs in the background. There is no way to estimate how long the process will take.
Card Watched
- Read
Check if the current user is a watcher of a card
Check whether the current user is a watcher of the specified card. If the user is not a watcher, a 404 error will be returned. You can see a list of all cards in the cards endpoint.
- Destructive
Add the current user as a watcher of a card
Add the current user as a watcher of the specified card. This action allows the user to receive updates and notifications related to the card. You can see a list of all cards in the cards endpoint.
- Destructive
Remove the current user as a watcher of a card
Remove the current user as a watcher of the specified card. This action stops the user from receiving updates and notifications related to the card. You can see a list of all cards in the cards endpoint.
Card Watchers
- Read
Get a card's watchers
Retrieve a list of the users assigned as a card's watchers.
- Read
Check if a user is a watcher of a card
Determine if a user is assigned as a watcher of a specific card.
- Destructive
Add a watcher of a card
Assign a user as a watcher of a specific card. Watching cards allows users to receive notifications for any changes that have been made on a certain card, even if they are not subscribed to get notifications from the board where the card is located.
- Destructive
Remove a watcher of a card
Remove a user as a watcher of a specific card.
Cards
- Read
Get a list of cards
Retrieve a list of all of the cards on an account. The results can be filtered using optional criteria.
- Read
Get the details of a specific card
Retrieve the details of a specific card. Info You can use the GET /cards endpoint with the cardids query parameter to retrieve multiple cards in a single request.
- Write
Create a card
Cards always require the lane and column of the board where they will be created. For more information about a board's structure, please see the Current structure endpoint. Most cards are initially placed in the Requested column of a specific lane, depending on the workflow.
- Write
Update a card
Make an update to a card's details. Info If you'd like to update multiple cards at once, you can use the /cards/updateMany endpoint to update several cards at once.
- Destructive
Delete a card
Delete an existing card card. The card is permanently deleted from the account and cannot be recovered. Info If you'd like to delete multiple cards at once, you can use the /cards/deleteMany endpoint to delete several cards at once.
Cards Comments
- Read
Get comments for multiple cards
Retrieve comments associated with multiple cards.
Cards Create Many
- Write
Create many cards
Create multiple cards in a single request.
Cards Delete Many
- Destructive
Delete many cards
Delete multiple cards in a single request.
Cards Update Many
- Write
Update many cards
Update many cards in a single request.
Cell Limits
- Read
Get a list of cell limits
Get a list of the cell limits for the specified board. A response containing an empty array indicates that there are no cell limits set for the board. You can see a list of all boards in the boards endpoint.
- Destructive
Set a cell limit
Set a cell limit for a specific lane and column in the specified board. If a limit already exists for the specified lane and column, it will be updated. If the limit is set to 0, it will be removed.
Check DKIM Record
- Read
Check if the DKIM record of a domain matches the stored key
Check if a domain has a valid DKIM TXT record that matches the stored public key.
Check SPF Record
- Read
Check if the SPF record of a domain includes mail.kanbanize.com
Check if a domain has a valid SPF record including mail.kanbanize.com.
Child Cards
- Read
Get a list of child cards of a specified parent card
Retrieves a list of child cards associated with the specified parent card.
- Read
Check if a card is a child of a specified parent card
Checks if a card is a child of the specified parent card and returns its position within the parent's list of linked cards.
- Read
Get a hierarchical graph of a card's children
Retrieves the hierarchical structure of a specified card's child relationships in the form of a graph. A card can have one or more direct children (Level 1), and each child can have its own children (Level 2).
- Destructive
Set a card as a child of a specified parent card
Assigns the specified card as a child of a specified parent card, establishing a parent–child relationship between them.
- Destructive
Remove the link between a parent card and a child card
Remove the link between a parent card and a child card.
Columns
- Read
Get a list of columns for a specific board
Get a list of columns available on the specified board. You can see a list of all boards in the boards endpoint.
- Read
Get the details of a specific column
Get the details of a specific column on a board. You can see a list of all boards in the boards endpoint. You can see a list of all columns in a board in the columns endpoint.
- Write
Create a column
Create a new column. You can see a list of all boards in the boards endpoint. You can see a list of all workflows in a board in the workflows endpoint.
- Write
Update a column
Update the details of a specific column You can see a list of all boards in the boards endpoint. You can see a list of all columns in a board in the columns endpoint. You can see a list of all workflows in a board in the workflows endpoint.
- Destructive
Delete a column from a board
Delete a specific column from a board. Optionally, you can specify another column to move the cards and/or cycle time data from the deleted column. If no column is specified for the cycle time data, it will be discarded.
Company Settings
- Read
Get a list of all company settings and their values
Get a list of all company settings and their values.
- Read
Get the details of a company setting and its current value
Get the details of a company setting and its current value.
- Write
Add or remove values of a company setting with multiple values
Adds and/or removes individual values of a company setting with multiplevalues set to true. The change is applied to the currently stored list, so values added or removed by others in the meantime are preserved.
- Destructive
Set the value of a company setting
Set the value of a company setting. For a setting with multiplevalues set to true, value is an array (or a comma-separated string) and replaces the whole list. To add or remove individual values without overwriting changes made by others in the meantime, use the PATCH endpoint.
- Destructive
Remove the value of a company setting
Removes the value of a company setting and sets it to null. When a company setting is null, it behaves according to its default value.
Custom Field Allowed Values
- Read
Get a list of the allowed values for a custom field of type dropdown
Get a list of the allowed values for a custom field of type dropdown. You can see a list of all custom fields in the customFields endpoint.
- Read
Get the details of a specific allowed value for a dropdown custom field
Get the details of a specific allowed value for a dropdown custom field. You can see a list of all custom fields in the customFields endpoint.
- Write
Create a new allowed value for a dropdown custom field
Add a new allowed value to a dropdown custom field. You can see a list of all custom fields in the customFields endpoint.
- Write
Update an allowed value
Update the properties of a specific allowed value for a dropdown custom field. You can see a list of all custom fields in the customFields endpoint.
- Write
Manage allowed values for a dropdown custom field
Perform batch operations to create, update, or delete allowed values for a dropdown custom field. You can see a list of all custom fields in the customFields endpoint.
- Destructive
Delete an allowed value from a dropdown custom field
Delete a specific allowed value from a dropdown custom field. Optionally, you can specify another value to replace the deleted value on cards where it is currently used. If no replacement value is provided, the deleted value will simply be removed.
Custom Field Boards
- Read
Get a list of the boards where the specified custom field is available
Retrieve a list of the boards where the specified custom field is available, including the properties of the field on each board.
- Write
Change the availability of a custom field on one or more boards
Change the availability of a custom field on one or more boards.
Custom Field Cards
- Read
Get a list of cards with a specific custom field and their values
Get a list of cards to which a specific custom field has been added, along with the associated values for that field. You can see a list of all custom fields in the customFields endpoint.
Custom Field History
- Read
Get a list of custom field management history events.
Get a list of custom field management history events.
Custom Fields
- Read
Get a list of custom fields
Retrieves a list of custom fields with their relevant details, optionally filtered using various parameters. The available custom field types are: - singlelinetext – A single-line text input. - multilinetext – A multi-line text input for longer content.
- Read
Get the details of the specified custom field
Get the details of the specified custom field. Info You can use the GET /customFields endpoint with the fieldids query parameter to retrieve multiple custom fields in a single request.
- Write
Create a custom field
Create a new custom field. In order to add a custom field to one or more boards you can use the customFields/{fieldid}/batchBoardOperations endpoint.
- Write
Update a custom field
Update a custom field.
- Destructive
Delete a custom field
Delete a custom field. Warning This will remove the custom field from all boards and cards associated with it. All information entered in the field will be lost as well. This action cannot be reversed.
Custom field Delete Many
- Destructive
Delete many custom fields
Schedule multiple custom fields for deletion in a single request. Custom fields are not deleted immediately — they are queued for batch processing and the deletion runs in the background. There is no way to estimate how long the process will take.
Custom field Disable Many
- Write
Disable many custom fields
Schedule multiple custom fields for disabling in a single request. Custom fields are not disabled immediately — they are queued for batch processing and the disabling runs in the background. There is no way to estimate how long the process will take.
Custom field Enable Many
- Write
Enable many custom fields
Schedule multiple custom fields for enabling in a single request. Custom fields are not enabled immediately — they are queued for batch processing and the enabling runs in the background. There is no way to estimate how long the process will take.
Custom field category Delete Many
- Destructive
Delete many custom field categories
Schedule multiple custom field categories for deletion in a single request. Custom field categories are not deleted immediately — they are queued for batch processing and the deletion runs in the background. There is no way to estimate how long the process will take.
Data Fields
- Read
Get a list of data fields
Retrieves a list of data fields with their relevant details, optionally filtered using various parameters. The available data field types are: - singlelinetext – A single-line text input. - number – A numeric value. - date – A calendar date.
- Read
Get the details of a data field
Get the details of the specified data field.
- Write
Create a data field
Create a new data field. In order to add a data field to one or more boards you can use the dataFields/{datafieldid}/batchBoardOperations endpoint and to add a data field to one or more workspaces you can use the dataFields/{datafieldid}/batchWorkspaceOperations endpoint.
- Write
Update a data field
Update a data field.
- Destructive
Delete a data field
Delete a data field. Warning This will remove the data field from all boards and workspaces associated with it. All information entered in the field will be lost as well. This action cannot be reversed.
Docs
- Read
Get a list of docs
Retrieve a list of all docs on an account which the user can access. The results can be filtered using optional criteria.
- Read
Get the details of a single doc
Get the details of a single doc.
- Read
Get attachments for a doc
Get all attachments for a specific doc.
- Read
Get an attachment for a doc
Get the details of a specific attachment for a doc.
- Read
Get comments for a doc
Get all comments for a specific doc.
- Read
Get a comment for a doc
Get the details of a specific comment on a doc.
- Read
Get history for a doc
Get the history of changes for a specific doc.
- Read
Get locations for a doc
Get the boards and cards where a doc is located.
- Read
Get permissions for a doc
Get the permissions of the current user for a specific doc.
- Read
Get revisions for a doc
Get a list of content revisions for a specific doc.
- Read
Get a specific revision for a doc
Get the content of a specific revision for a doc.
- Read
Get successors for a doc
Get the successor docs (child docs) for a specific doc.
- Read
Get docs history
Get a paginated list of history events for docs.
- Write
Create a doc
Create a new doc.
- Write
Update a doc
Update a doc.
- Write
Clone a doc
Creates a copy of the specified doc. The authenticated user must be an owner of the doc. Optionally include all child docs in the clone.
- Write
Add an attachment to a doc
Add an attachment to a doc.
- Write
Update an attachment for a doc
Update the properties of an attachment.
- Write
Add a comment to a doc
Create a new comment on a specific doc.
- Write
Update a comment on a doc
Update a specific comment on a doc. Only the author of the comment can update it.
- Write
Update locations for a doc
Update the boards and cards where a doc is located.
- Destructive
Delete a doc
Delete a doc. The user must be an owner of the doc. First-level docs that are shown in the main doc list may require doc manager permission to delete.
- Destructive
Delete an attachment from a doc
Remove an attachment from a doc.
- Destructive
Delete a comment from a doc
Delete a specific comment from a doc. Only the author of the comment can delete it.
Personal Docs
- Read
Get a list of personal docs
Retrieve a list of personal docs belonging to the authenticated user. Personal docs are private to the author. The results can be filtered using optional criteria.
- Read
Get personal docs history
Get a paginated list of history events for personal docs belonging to the authenticated user.
- Read
Get the details of a single personal doc
Get the details of a single personal doc. Only the author can access their personal docs.
- Read
Get history for a personal doc
Get the history of changes for a specific personal doc.
- Read
Get revisions for a personal doc
Get a list of content revisions for a specific personal doc.
- Read
Get a specific revision for a personal doc
Get the content of a specific revision for a personal doc.
- Read
Get attachments for a personal doc
Get all attachments for a specific personal doc. Only the doc author can list attachments.
- Read
Get an attachment for a personal doc
Get the details of a specific attachment for a personal doc. Only the doc author can view attachments.
- Write
Create a personal doc
Create a new personal doc. Personal docs are private to the authenticated user.
- Write
Update a personal doc
Update a personal doc. Only the author can update their personal docs.
- Write
Clone a personal doc
Creates a copy of the specified personal doc. Only the author can clone their personal doc. The new doc is created as a personal doc for the authenticated user.
- Write
Convert a personal doc to a shared doc
Convert a personal doc into a shared doc. The authenticated user becomes an owner. You can optionally specify a parent doc or set the doc to show in the main doc list.
- Write
Add an attachment to a personal doc
Add an attachment to a personal doc. Only the doc author can add attachments.
- Write
Update an attachment for a personal doc
Update the properties of an attachment. Only the doc author can update attachments.
- Destructive
Delete a personal doc
Delete a personal doc. Only the author can delete their personal docs.
- Destructive
Delete an attachment from a personal doc
Remove an attachment from a personal doc. Only the doc author can delete attachments.
Data Field Boards
- Write
Add, update or remove a data field on one or more boards
Add, update or remove a data field on one or more boards. The response body will not include boards from which the data field is removed, even if you attempt to remove it from a board where it is already unavailable Info If the request body contains only boardidstoremove, the re…
Data Field Workspaces
- Write
Add, update or remove a data field on one or more workspaces
Add, update or remove a data field on one or more workspaces.
Dashboard Page Teams
- Read
Get a list of teams having access to a dashboard page
Retrieve a list of all teams that have access to the specified dashboard page, including their permissions and management roles.
- Read
Check if a team has access to a dashboard page
Determine whether a specific team has access to the given dashboard page. Returns a '204' status code if the team has access, or a 404 if not. You can see a list of all teams in the teams endpoint.
- Destructive
Grant or update a team's access or manager role for a dashboard page
Grant a team access to a dashboard page or update its management role. Use this endpoint to add a team to a dashboard page, or to set or remove its manager permissions. You can see a list of all teams in the teams endpoint.
- Destructive
Remove a team's access to a dashboard page
Remove a team's access to the specified dashboard page. Use this endpoint to revoke all permissions for a team on a dashboard page. You can see a list of all teams in the teams endpoint.
Dashboard Page Users
- Read
Get a list of users who are assigned to the specified dashboard page.
Retrieves a list of users who are assigned to the specified dashboard page. There are two types of assigned users: - Dashboard members – they can view the dashboard. - Dashboard managers – they can add or remove users, workspaces, and widgets, as well as rename the dashboard.
- Read
Check if a user is assigned to the specified dashboard page
Check if a user is assigned to the specified dashboard page.
- Destructive
Assign a user to the specified dashboard page or update their permissions
Assign a user to the specified dashboard page or update their permissions.
- Destructive
Remove a user's access to the specified dashboard page
Remove a user's existing access to the specified dashboard page.. Info If you attempt to remove access for a user who is not currently assigned to the dashboard, the request will still succeed and return a '204' response.
Dashboard Page Workspaces
- Read
Get a list of workspaces added to a dashboard page
Retrieve a list of the workspaces added to a specific dashboard page.
- Read
Check if a workspace is added to a dashboard page
Check whether a workspaces is added to a dashboard page.
- Destructive
Make a workspace available on a dashboard page
Make a workspace available on a dashboard page.
- Destructive
Remove a workspace from a dashboard page
Make a workspace no longer available on a dashboard page.
Dashboard Pages
- Read
Get a list of dashboard pages
Returns a list of dashboard pages available in the account. You can optionally filter the results by specifying one or more dashboard page IDs. You may also limit the fields returned for each dashboard page to only those you need (e.g., dashboardpageid, name).
- Read
Get the details of a specific dashboard page
Get the details of a specific dashboard page
- Write
Create a dashboard page
Create a new dashboard page.
- Write
Update the details of a dashboard page
Modify the properties of an existing dashboard page.
- Write
Clone a dashboard page
Creates a copy of the specified dashboard page, including its settings, widgets, access permissions, and optionally its users, teams, and workspaces. Related Endpoints: - All dashboard pages: dashboard pages. - All users associated with the dashboard page: dashboard page users.
- Destructive
Delete a dashboard page
Deletes the specified dashboard page, including all its settings, widgets, and access permissions. Related Endpoints: - All dashboard pages: dashboard pages. - All users associated with the dashboard page: dashboard page users.
Departure Rule History
- Read
Get a list of departure rule creation, deletion, and update, rule enabled, rule disabled events.
Returns a log of all actions related to the departure rules. This includes records of departure rules that have been created, updated, deleted, rule enabled or rule disabled.
Discard Reason Boards
- Read
Get a list of boards that include the discard reason
Get a list of boards that include the specified discard reason. You can get a list of all discard reasons using the discardReasons endpoint.
Discard Reason Cards
- Read
Get a list of cards associated with a specific discard reason
Get a list of cards where the specified discard reason is applied. You can see a list of all discard reasons in the discardReason endpoint.
Discard Reason History
- Read
Get a list of discard reasons creation, deletion and update events
Retrieves a list of events related to discard reasons. This endpoint allows you to review the history of discard reasons and can be tailored using various filtering options.
Discard Reasons
- Read
Get a list of discard reasons
Retrieves a list of discard reasons with their relevant details, optionally filtered using various parameters.
- Read
Get the details of the specified discard reason
Get the details of the specified discard reason.
- Write
Create a discard reason
Create a new discard reason.
- Write
Update a discard reason
Update a discard reason.
- Destructive
Delete a discard reason
Delete a discard reason.
Dkim Domains
- Read
Get a list of DKIM domains
Get a list of DKIM domains configured for the company.
- Read
Get the details of a DKIM domain
Get the details of a DKIM domain by ID.
- Write
Add a DKIM domain
Add a new DKIM domain and generate the corresponding DNS record.
- Destructive
Delete a DKIM domain
Delete a DKIM domain by ID.
Email Integration Errors
- Read
Get a list of errors from the email integration.
Retrieve a list of errors which occurred while emails were being processed
Email Integration History
- Read
Get a list of the emails received by the email integration and their status.
Retrieve a list of the emails received and processed by the email integration and their status.
Exports
- Read
Export workspace management history events
Export a list of workspaces management history events.
- Read
Export a list of board management history events.
Export a list of boards management history events.
- Read
Export a list of user management history events.
Export a list of user management history events.
- Read
Export a list of business rule executions
Export a list of business rule executions matching some optional criteria.
- Read
Export a list of the emails received by the email integration and their processing status.
Export a list of the emails received by the email integration and their processing status.
- Read
Export a list of calculated outcome value rule executions
Export a list of calculated outcome value rule executions matching some optional criteria.
- Read
Export a list of error logs from the email integration.
Export a list of error logs from the email integration.
- Read
Export a list of webhooks creation, deletion and update events
Export a list of webhooks creation, deletion and update events matching some optional criteria.
- Read
Export a list of API v1 requests
Export a list of API requests matching some optional criteria.
- Read
Export a list of API v2 requests
Export a list of API v2 requests, including details about the resource, method, status code, user, and time of each request.
- Read
Export a list of users last activity.
Export a list of users last activity.
- Read
Export a list of custom field management history events.
Export a list of custom field management history events.
- Read
Export a list of stickers management history events.
Export a list of stickers management history events.
- Read
Export a list of tags management history events.
Export a list of tags management history events.
- Read
Export a list of milestones management history events.
Export a list of milestones management history events.
- Read
Export a list of teams management history events.
Export a list of teams management history events.
- Read
Export a list of logged times management history events.
Export a list of logged times management history events.
- Read
Export a list of logged time categories management history events.
Export a list of logged time categories management history events.
- Read
Export a list of block reasons management history events.
Export a list of block reasons management history events.
- Read
Export a list of discard reasons management history events.
Export a list of discard reasons management history events.
- Read
Export a list of arrival rule management history events.
Export a list of arrival rule management history events.
- Read
Export a list of departure rule management history events.
Export a list of departure rule management history events.
- Read
Export a list of card templates management history events.
Export a list of card templates management history events.
- Read
Export a list of card types management history events.
Export a list of card types management history events.
- Read
Export a list of internal announcements management history events.
Export a list of internal announcements management history events.
- Read
Export a list of BAI prompts management history events.
Export a list of BAI prompts management history events.
- Read
Export a list of roles management history events.
Export a list of roles management history events.
Global User Privileges
- Read
Get all global privileges and their status for the specified user
Get all global privileges and their status for the specified user. Global privileges represent admin privileges that grant elevated access across the entire account. Available admin privileges include: - owner - grants access to all other privileges.
- Read
Check if the specified user is granted a particular global privilege
Check if the specified user is granted a particular global privilege. If a user isn't granted a particular global privilege, you'll receive a 404 response.
- Destructive
Grant the specified user a particular global privilege
Grant the specified user a particular global privilege. Info If a user is granted the owner privilege, they automatically have all other privileges, even if the available parameter for those privileges shows a value of 0.
- Destructive
Remove a particular global privilege from the specified user
Remove a particular global privilege from the specified user.
Internal Announcements
- Read
Get a list of all internal announcements
Announcements are account-wide notifications that allow Owners to communicate important events and news to users within the account. Retrieve a list of all internal announcements.
- Read
Get the details of an internal announcement
Get the details of a specific internal announcement.
- Write
Create a new internal announcement
Create a new internal announcement.
- Write
Update an internal announcement
Update an internal announcement.
- Destructive
Delete an internal announcement
Delete an internal announcement. This action is irreversible and will permanently remove the announcement from the system.
Internal Announcement History
- Read
Get a list of internal announcements creation, deletion and update events
Retrieves a list of events related to internal announcements. This endpoint allows you to review the history of internal announcements and can be tailored using various filtering options.
Internal Announcement For Roles
- Read
Get a list of roles for which the internal announcement is intended
Get a list of roles for which the internal announcement is intended. Only users with the selected roles will be able to view the announcement. You can find a list of all roles in the account by using the Roles endpoint.
- Read
Check if the internal announcement is intended for the specified role
Check if the internal announcement is intended for the specified role.
- Destructive
Add a role to the specified internal announcement
Add a role to the specified internal announcement.
- Destructive
Remove a role from the internal announcement
Remove a role from the internal announcement.
Internal Announcement For Teams
- Read
Get a list of teams that the internal announcement is for
Retrieve a list of teams targeted to receive the internal announcement.
- Read
Check if the internal announcement is for a team
Check whether the internal announcement is intended for a specific team.
- Destructive
Add a team to the internal announcement
Add a team to the intended recepients of the internal announcement.
- Destructive
Remove a team from the internal announcement
Remove a team from the intended recepients of the internal announcement.
Internal Announcement Views
- Read
Get a list of views for the specified internal announcement
Retrieve a list of views for the specified internal announcement.
Integration Settings
- Read
Get a list of all integration settings and their values
Get a list of all integration settings for the account and their values.
- Read
Get the details of an integration setting and its value
Get the details of an integration setting and its current value.
- Destructive
Set the value of an integration setting
Set the value of an integration setting.
- Destructive
Remove the value of an integration setting
Removes the value of an integration setting and sets it to null. When an integration setting is null, it behaves according to its default value.
Lane Default Settings
- Read
Get the default values of the specified lane's settings
Get the default values of the specified lane's settings.
- Read
Get the default value of a specific lane setting
Get the default value of a specific lane setting.
- Destructive
Update the default value of a specific lane setting
Update the default value of a specific lane setting.
- Destructive
Reset the default value of a specific lane setting
Reset the default value of a specific lane setting. This changes the setting's default value to null.
Lane Section Limits
- Read
Get a list of lane section limits for the 'In Progress' section of the specified board
Get a list of lane section limits for the 'In Progress' section specified board. Each limit repressents the total number of cards allowed in the In Progress section of the lane.
- Destructive
Set a lane section limit for the 'In Progress' section of the specified board
Set a lane section limit for the 'In Progress' section of the specified board.
Lanes
- Read
Get a list of lanes on a board
Retrieve a list of the lanes on a specified board.
- Read
Get the details of a single lane
Get the details of a specific lane on a board.
- Write
Create a lane
Create a new lane on a specific board.
- Write
Update a lane
Update a lane.
- Destructive
Delete a lane
Delete a lane. This action cannot be undone. If there are cards present in the lane, it will not be deleted until they're moved to another lane or discarded. You can specify a lane to which the cards will be moved using the movecardstolaneid parameter.
Logged Time
- Read
Get a list of logged times
Get a list of the logged times added to cards. The logged times are listed in the order in which they were added.
- Read
Get the details of a single logged time
Get the details of a specific logged time entry.
- Write
Add a logged time to a card
Add a logged time to a card
- Write
Add logged times to cards in bulk
Add multiple logged times to cards in a single request. All entries are created inside one database transaction, so if any entry is invalid, none of the entries are saved.
- Write
Update card logged time.
Update a card logged time entry.
- Destructive
Remove a logged time from a card
Remove a logged time entry from a card.
Logged Time Board Categories
- Read
Get a list of boards that include the specified logged time category
Get a list of boards that include the specified logged time category. You can get a list of all logged time categories using the loggedTimeCategories endpoint.
- Write
Change the availability of a logged time category on one or more boards
Change the availability of a logged time category on one or more boards.
Logged Time Categories
- Read
Get a list of logged time categories
Retrieve a list of all logged time categories.
- Read
Get the details of a single logged time category
Get the details of a specific logged time category.
- Write
Create a logged time category
Create a new logged time category.
- Write
Update a logged time category
Update a logged time category.
- Destructive
Delete a logged time category
Delete a logged time category.
Logged Time Category History
- Read
Get a list of logged time category creation, deletion and update events
Retrieves a list of events related to logged time categories. This endpoint allows you to review the history of logged time categories and can be tailored using various filtering options.
Logged Time History
- Read
Get a list of logged time creation, deletion and update events
Retrieves a list of events related to logged time. This endpoint allows you to review the history of logged time and can be tailored using various filtering options.
Managed Workspaces
- Read
Get a list of user's managed workspaces
Get a list of the workspaces where the user is a workspace manager.
User Managed Users
- Read
Get a list of users managed by the specified user
Get a list of users for whom the specified user is a manager.
User Managers
- Read
Get a list of managers of the specified user
Get a list of users who are managers of the specified user.
- Read
Check if a user is a manager of the specified user
Check if a user is a manager of the specified user.
- Destructive
Set a user as a manager of the specified user
[...]
